﻿/**
 * This class is used for defining the list of packages which are considered "official packages".
 *
 * Copyright 1998-2008 Epic Games, Inc. All Rights Reserved.
 */
class UTOfficialContent extends Object
	native(UI)
	abstract
	transient;

/** Maps created by epic */
var		const		array<string>		OfficialMaps;

/** Packages created by epic */
var		const		array<string>		OfficialPackages;

DefaultProperties
{
	OfficialPackages(0)="UTGame"
	OfficialPackages(1)="UTGameContent"
	OfficialPackages(2)="UT3Gold"
	OfficialPackages(3)="UT3GoldGame"

	OfficialMaps(0)="CTF-Strident"
	OfficialMaps(1)="DM-CarbonFire"
	OfficialMaps(2)="DM-Deck"
	OfficialMaps(3)="DM-HeatRay"
	OfficialMaps(4)="DM-Sanctuary"
	OfficialMaps(5)="EnvyEntry"
	OfficialMaps(6)="UTFrontEnd"
	OfficialMaps(7)="UTM-MissionSelection"
	OfficialMaps(8)="VCTF-Corruption"
	OfficialMaps(9)="WAR-Islander"
	OfficialMaps(10)="CTF-Coret"
	OfficialMaps(11)="CTF-OmicronDawn"
	OfficialMaps(12)="CTF-Hydrosis"
	OfficialMaps(13)="CTF-Reflection"
	OfficialMaps(14)="CTF-Searchlight"
	OfficialMaps(15)="CTF-Vertebrae"
	OfficialMaps(16)="DM-Arsenal"
	OfficialMaps(17)="DM-Biohazard"
	OfficialMaps(18)="DM-Defiance"
	OfficialMaps(19)="DM-Defiance_Necris"
	OfficialMaps(20)="DM-Deimos"
	OfficialMaps(21)="DM-Diesel"
	OfficialMaps(22)="DM-Fearless"
	OfficialMaps(23)="DM-Gateway"
	OfficialMaps(24)="DM-RisingSun"
	OfficialMaps(25)="DM-Sentinel"
	OfficialMaps(26)="DM-ShangriLa"
	OfficialMaps(27)="VCTF-Containment"
	OfficialMaps(28)="VCTF-Kargo"
	OfficialMaps(29)="VCTF-Necropolis"
	OfficialMaps(30)="VCTF-Sandstorm"
	OfficialMaps(31)="VCTF-Sandstorm_Effects"
	OfficialMaps(32)="VCTF-Suspense"
	OfficialMaps(33)="WAR-Avalanche"
	OfficialMaps(34)="WAR-ColdHarbor"
	OfficialMaps(35)="WAR-Downtown"
	OfficialMaps(36)="WAR-Dusk"
	OfficialMaps(37)="WAR-Floodgate"
	OfficialMaps(38)="WAR-Islander_Necris"
	OfficialMaps(39)="WAR-MarketDistrict"
	OfficialMaps(40)="WAR-OnyxCoast"
	OfficialMaps(41)="WAR-PowerSurge"
	OfficialMaps(42)="WAR-Serenity"
	OfficialMaps(43)="WAR-Serenity_Necris"
	OfficialMaps(44)="WAR-Sinkhole"
	OfficialMaps(45)="WAR-TankCrossing"
	OfficialMaps(46)="WAR-Torlan"
	OfficialMaps(47)="WAR-Torlan_Necris"
	OfficialMaps(48)="character_arenas"
	OfficialMaps(49)="cine_intro_asteroid"
	OfficialMaps(50)="Coret_Intro_section"
	OfficialMaps(51)="HeatRay_Cinelevel_P"
	OfficialMaps(52)="Intro_Cine"
	OfficialMaps(53)="Intro_Flythru_Level"
	OfficialMaps(54)="Izanagi_Stronghold"
	OfficialMaps(55)="Necris_Attack_Dialogue"
	OfficialMaps(56)="UT_Intro_Level_P"
	OfficialMaps(57)="UTCin-Axon_Treaty"
	OfficialMaps(58)="UTCin-CampaignIntro"
	OfficialMaps(59)="UTCin-Combat_Briefing"
	OfficialMaps(60)="UTCin-Conclusion"
	OfficialMaps(61)="UTCin-Intro"
	OfficialMaps(62)="UTCin-Malcolm_Betrayal"
	OfficialMaps(63)="UTCin-NEC_Intercedes"
	OfficialMaps(64)="UTCin-Necris_Attack"
	OfficialMaps(65)="UTCin-Test"
	OfficialMaps(66)="UTCin-Tutorial"
	OfficialMaps(67)="DM-KBarge"
	OfficialMaps(68)="DM-Morbias"
	OfficialMaps(69)="WAR-Downtown_Necris"
	OfficialMaps(70)="VCTF-Suspense_Necris"
	OfficialMaps(71)="CTF-FacingWorlds"
	OfficialMaps(72)="VCTF-Rails"
	OfficialMaps(73)="CTF-Lifter"
	OfficialMaps(74)="CTF-LostCause"
	OfficialMaps(75)="CTF-Morbid"
	OfficialMaps(76)="CTF-Nanoblack"
	OfficialMaps(77)="CTF-Searchlight"
	OfficialMaps(78)="CTF-Shaft"
	OfficialMaps(79)="DM-DarkMatch"
	OfficialMaps(80)="DM-EdenInc"
	OfficialMaps(81)="DM-OceanRelic"
	OfficialMaps(82)="DM-Turbine"
	OfficialMaps(83)="VCTF-Stranded"
	OfficialMaps(84)="WAR-Confrontation"
	OfficialMaps(85)="WAR-Hostile"
}
