﻿/**
 * Copyright 1998-2007 Epic Games, Inc. All Rights Reserved.
 */
class UTPickupFactory_Invulnerability extends UTPowerupPickupFactory;

simulated function RespawnEffect()
{
	local PlayerController PC;

	foreach LocalPlayerControllers(class'PlayerController', PC)
	{
		PC.ClientPlaySound(InventoryType.Default.PickupSound);
	}
	Super.RespawnEffect();
}

defaultproperties
{
	InventoryType=class'UTGameContent.UTInvulnerability'

    PickupStatName=PICKUPS_INVULNERABILITY

	BaseBrightEmissive=(R=20.0,G=10.0,B=1.0)
	BaseDimEmissive=(R=2.0,G=1.0,B=0.1)

	Begin Object Class=UTParticleSystemComponent Name=InvulParticles
		Template=ParticleSystem'Pickups.Invulnerability.Effects.P_Pickups_Invulnerability_Idle'
		bAutoActivate=false
		SecondsBeforeInactive=1.0f
		Translation=(X=0.0,Y=0.0,Z=-20.0)
	End Object
	ParticleEffects=InvulParticles
	Components.Add(InvulParticles)

	Begin Object Class=AudioComponent Name=BerserkReady
		SoundCue=SoundCue'A_Pickups_Powerups.PowerUps.A_Powerup_Invulnerability_GroundLoopCue'
	End Object
	PickupReadySound=BerserkReady
	Components.Add(BerserkReady)

	RespawnSound=SoundCue'A_Pickups_Powerups.PowerUps.A_Powerup_Invulnerability_SpawnCue'
}
