﻿/**
 * Copyright � 1998-2007 Epic Games, Inc. All Rights Reserved.
 */

class UTMissionInfo_Content extends UTMissionInfo;

// when looking at the set of all players in a game we want the following constraint be valid
// 4 ronins + card + leader + 1 female + N males
// ( need to have at least 1 enemy male so that any other customized chars can fall back to using that customized mesh ) (e.g. min set would be:  1+ leader, 1+ krall female, 1+ krall male, 10000 other kralls)


defaultproperties
{
	Missions.Add((MissionID=0,Title="<Strings:UTGameUI.FriendlyMapNames.NewGame>",Map="",URL="",OpponentFaction="",RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location="",GlobeBoneName="B_None",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc0>",BriefingAudioCue=None,ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc0>",Objectives=())
		Missions.Add((MissionID=1,Title="<Strings:UTGameUI.FriendlyMapNames.RisingSun>",Map="DM-RisingSun",URL="?NumPlay=0?GoalScore=10?game=UTGame.UTDeathmatch",OpponentFaction="TwinSouls",RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=("Jester","Othello","Bishop"),Style=EMT_Infiltration,Location="<Strings:UTGameUI.MapLocationDescription.RisingSun>",GlobeBoneName="B_DMRisingsun",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc1>",BriefingAudioCue=None,ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc1>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_RisingSun_1_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc1_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_RisingSun_1_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc1_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=2,Title="<Strings:UTGameUI.FriendlyMapNames.ShangriLa>",Map="DM-ShangriLa",URL="?NumPlay=6?GoalScore=40",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Kensai","Ushido"),RequiredOpponents=("Talan","Kregore","Drake","Blain"),PrecachedTeammates=("Othello","Bishop"),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.ShangriLa>",GlobeBoneName="B_DMShangrila",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc2>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_ShangrilaCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc2>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Shangrila_2_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=3,Title="<Strings:UTGameUI.FriendlyMapNames.Reflection>",Map="CTF-Reflection",URL="?NumPlay=0?GoalScore=3",OpponentFaction="IronGuard",RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=("Jester","Othello","Bishop"),PrecachedOpponents=("Cain","Johnson","Karag","Wraith"),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Reflection>",GlobeBoneName="B_CTFReflection",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc3>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_ReflectionCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc3>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Reflection_3_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Reflection_3_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Reflection_3_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=4,Title="<Strings:UTGameUI.FriendlyMapNames.Sinkhole>",Map="WAR-SinkHole",URL="?NumPlay=0?GoalScore=1?mutator=UTGame.UTMutator_NoOrbs,UTGame.UTMutator_NoHoverboard",OpponentFaction="IronGuard",RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=("Jester","Othello","Bishop"),PrecachedOpponents=("Talan","Kregore","Blain"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Sinkhole>",GlobeBoneName="B_ONSDownUnder",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc4>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SinkholeCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc4>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Sinkhole_4_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc4_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Sinkhole_4_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc4_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=5,Title="<Strings:UTGameUI.FriendlyMapNames.MarketDistrict>",Map="WAR-MarketDistrict",URL="?NumPlay=0?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=("Jester","Othello","Bishop"),PrecachedOpponents=("Cain","Johnson","Karag","Wraith"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.MarketDistrict>",GlobeBoneName="B_ONSMarketdistrict",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc5>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_MarketDistrict01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc5>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=6,Title="<Strings:UTGameUI.FriendlyMapNames.TankCrossing>",Map="WAR-TankCrossing",URL="?NumPlay=8?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Johnson","Barktooth","Harlin","Cain"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.TankCrossing>",GlobeBoneName="B_ONSDmz",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc6>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_TankCrossingCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc6>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_TankCrossing_6_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc6_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_TankCrossing_6_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc6_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_TankCrossing_6_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc6_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_TankCrossing_6_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc6_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=7,Title="<Strings:UTGameUI.FriendlyMapNames.Kargo>",Map="vCTF-Kargo",URL="?NumPlay=0?GoalScore=3",OpponentFaction="IronGuard",RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=("Jester","Othello","Bishop"),PrecachedOpponents=("Slain","Johnson","Talan","Drake"),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Kargo>",GlobeBoneName="B_CTFKargo",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc7>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Kargo00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc7>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=SoundCue'A_Character_Jester_Cue.MissionBriefings.A_MissionBriefing_Jester_KargoCue',FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=8,Title="<Strings:UTGameUI.FriendlyMapNames.Hydrosis>",Map="CTF-Hydrosis",URL="?NumPlay=12?GoalScore=3",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop","Rook","Kensai"),RequiredOpponents=("Harlin","Slain","Karag","Wraith","Kregore","Talan"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Hydrosis>",GlobeBoneName="B_CTFHydrosis",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc8>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_HydrosisCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc8>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Hydrosis_8_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc8_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Hydrosis_8_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc8_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=9,Title="<Strings:UTGameUI.FriendlyMapNames.TorlanDelta>",Map="WAR-Torlan",URL="?NumPlay=8?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop","Connor","Harkin"),RequiredOpponents=("Cain","Karag","Kregore","Drake","Barktooth","Harlin"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.TorlanDelta>",GlobeBoneName="B_ONSTorlan",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc9>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Torlan00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc9>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_9_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc9_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=10,Title="<Strings:UTGameUI.FriendlyMapNames.Suspense>",Map="vCTF-Suspense",URL="?NumPlay=8?GoalScore=3",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop","Ushido","Rook"),RequiredOpponents=("Johnson","Wraith","Kregore","Blain","Slain","Barktooth"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Suspense>",GlobeBoneName="B_CTFSuspense",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc10>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SuspenseCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc10>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=11,Title="<Strings:UTGameUI.FriendlyMapNames.Serenity>",Map="WAR-Serenity",URL="?NumPlay=4?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop","Hunter"),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=("Lauren","Slain","Johnson","Karag"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Serenity>",GlobeBoneName="B_ONSSerenity",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc11>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Serenity00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc11>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=12,Title="<Strings:UTGameUI.FriendlyMapNames.Downtown>",Map="WAR-Downtown",URL="?NumPlay=4?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=("Lauren","Harlin","Wraith","Talan"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Downtown>",GlobeBoneName="B_ONSDowntown",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc12>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DowntownCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc12>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=13,Title="<Strings:UTGameUI.FriendlyMapNames.Defiance>",Map="DM-Defiance",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Lauren","Barktooth","Harlin","Slain"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Defiance>",GlobeBoneName="B_DMDefiance",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc13>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DefianceCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc13>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=14,Title="<Strings:UTGameUI.FriendlyMapNames.Kargo>",Map="vCTF-Kargo",URL="?NumPlay=10?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Hellhound","Scorn","Gnasher","Cerberus","Scar","Worg"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Kargo>",GlobeBoneName="B_CTFKargo",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc7>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Kargo01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc7>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=15,Title="<Strings:UTGameUI.FriendlyMapNames.TorlanDelta>",Map="WAR-Torlan_Leviathan",URL="?NumPlay=11?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Hellhound","Scar","Worg","Lockjaw","Claw","Bargest","Blackfang"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.TorlanDelta>",GlobeBoneName="B_ONSTorlan",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc9>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Torlan02Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc15>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_9_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc9_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_15_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc15_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_15_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc15_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=16,Title="<Strings:UTGameUI.FriendlyMapNames.Arsenal>",Map="DM-Arsenal",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Bishop","Othello"),RequiredOpponents=("Aspect","Collossus","OSC","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Arsenal>",GlobeBoneName="B_DMArsenal",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc16>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Arsenal00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc16>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Arsenal_16_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc16_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Arsenal_16_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc16_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=17,Title="<Strings:UTGameUI.FriendlyMapNames.HeatRay>",Map="DM-HeatRay",URL="?Game=utgame.utteamgame?NumPlay=10?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","Collossus","Enigma","Entropy","Monarch","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.HeatRay>",GlobeBoneName="B_DMHeatray",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc17>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Heatray00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc17>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=18,Title="<Strings:UTGameUI.FriendlyMapNames.Dusk>",Map="WAR-Dusk",URL="?NumPlay=10?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Evolution","Mihr","Syntax","Torque","Monarch","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Dusk>",GlobeBoneName="B_ONSDusk",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc18>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DuskCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc18>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Dusk_18_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc18_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Dusk_18_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc18_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Dusk_18_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc18_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=19,Title="<Strings:UTGameUI.FriendlyMapNames.PowerSurge>",Map="WAR-PowerSurge",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","Collossus","OSC","Monarch","Mihr","Torque"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.PowerSurge>",GlobeBoneName="B_ONSPowerSurge",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc19>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_PowerSurge00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc19>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Gen_11_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Gen_11_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Powersurge_19_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc19_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Powersurge_19_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc19_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=20,Title="<Strings:UTGameUI.FriendlyMapNames.Coret>",Map="CTF-Coret",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Cathode","Raptor","Syntax","Evolution"),PrecachedTeammates=("Jester"),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Coret>",GlobeBoneName="B_CTFCoret",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc20>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CoretCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc20>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Coret_20_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc20_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=21,Title="<Strings:UTGameUI.FriendlyMapNames.HeatRay>",Map="DM-HeatRay",URL="?Game=utgame.utteamgame?NumPlay=10?GoalScore=50",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Scythe","Scorn","Gnasher","Cerberus","Lockjaw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.HeatRay>",GlobeBoneName="B_DMHeatray",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc17>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Heatray01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc17>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_2>",AudioCue=None,FocusTime=0.000000))))
		Missions.Add((MissionID=22,Title="<Strings:UTGameUI.FriendlyMapNames.Islander>",Map="WAR-Islander",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Evolution","Mihr","Syntax","Torque"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Islander>",GlobeBoneName="B_ONSIslander",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc22>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Islander00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc22>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Islander_22_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=23,Title="<Strings:UTGameUI.FriendlyMapNames.Strident>",Map="CTF-Strident",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Cathode","Enigma","Entropy"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Strident>",GlobeBoneName="B_CTFStrident",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc23>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Strident00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc23>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_1>",AudioCue=None,FocusTime=4.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=24,Title="<Strings:UTGameUI.FriendlyMapNames.Gateway>",Map="DM-Gateway",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Liandri",RequiredTeammates=("Othello"),RequiredOpponents=("Matrix","Entropy","Cathode","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Gateway>",GlobeBoneName="B_DMGateway",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc24>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_GatewayCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc24>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Gateway_24_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc24_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=25,Title="<Strings:UTGameUI.FriendlyMapNames.IslanderNecris>",Map="WAR-Islander_Necris",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Kragoth","Malakai","Damian"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.IslanderNecris>",GlobeBoneName="B_ONSIslander",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc22>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Islander01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc25>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Islander_25_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc25_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_25_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc25_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=26,Title="<Strings:UTGameUI.FriendlyMapNames.MarketDistrict>",Map="WAR-MarketDistrict",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Nocturne","Samael","Bargest"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.MarketDistrict>",GlobeBoneName="B_ONSMarketdistrict",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc5>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_MarketDistrict02Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc26>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_MarketDistrict_5_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc5_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=27,Title="<Strings:UTGameUI.FriendlyMapNames.ShangriLa>",Map="DM-ShangriLa",URL="?Game=utgame.utteamgame?NumPlay=9?GoalScore=50",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Grail","Hellhound","Scar","Worg","Lockjaw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.ShangriLa>",GlobeBoneName="B_DMShangrila",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc2>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_MiscWarBrief01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc27>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Shangrila_2_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=28,Title="<Strings:UTGameUI.FriendlyMapNames.Corruption>",Map="vCTF-Corruption",URL="?NumPlay=10?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("jester","Othello","Bishop"),RequiredOpponents=("Scythe","Nocturne","Judas","Scorn","Gnasher","Cerberus"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Corruption>",GlobeBoneName="B_CTFCorruption",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc28>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CorruptionCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc28>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Corruption_28_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc28_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Corruption_28_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc28_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=29,Title="<Strings:UTGameUI.FriendlyMapNames.Suspense>",Map="vCTF-Suspense",URL="?NumPlay=9?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Thannis","Pagan","Harbinger","Samael","Malakai"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Suspense>",GlobeBoneName="B_CTFSuspense",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc10>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SuspenseCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc29>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=30,Title="<Strings:UTGameUI.FriendlyMapNames.OnyxCoast>",Map="WAR-OnyxCoast",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Harbinger","Pagan","Thannis","Samael"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.OnyxCoast>",GlobeBoneName="B_ONSOnyxcoast",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc30>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_OnyxCoastCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc30>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_OnyxCoast_30_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc30_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_OnyxCoast_30_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc30_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_OnyxCoast_30_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc30_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=31,Title="<Strings:UTGameUI.FriendlyMapNames.ColdHarbor>",Map="WAR-ColdHarbor",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Nocturne","Damian","Judas","Grail"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.ColdHarbor>",GlobeBoneName="B_ONSColdHarbor",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc31>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_ColdHarborCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc31>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_31_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc31_0>",AudioCue=None,FocusTime=8.000000),(Image=None,bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc31_1>",AudioCue=None,FocusTime=8.000000),(Image=None,bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc31_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=32,Title="<Strings:UTGameUI.FriendlyMapNames.Avalanche>",Map="WAR-Avalanche",URL="?NumPlay=10?GoalScore=1",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Damian","Harbinger","Pagan","Thannis","Samael"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Avalanche>",GlobeBoneName="B_ONSJumpgate",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc32>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_AvalancheCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc32>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Avalanche_32_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc32_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Avalanche_32_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc32_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Avalanche_32_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc32_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Avalanche_32_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc32_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=33,Title="<Strings:UTGameUI.FriendlyMapNames.Deimos>",Map="DM-Deimos",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Grail","Nocturne","Thannis"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Deimos>",GlobeBoneName="B_DMDiemos",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc33>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Deimos01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc33>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Deimos_33_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc33_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Deimos_33_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc33_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=34,Title="<Strings:UTGameUI.FriendlyMapNames.OmicronDawn>",Map="CTF-OmicronDawn",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Damian","Kragoth","Malakai"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.OmicronDawn>",GlobeBoneName="B_CTFCircuitBreaker",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc34>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DarkPlanetCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc34>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_DarkPlanet_34_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc34_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=35,Title="<Strings:UTGameUI.FriendlyMapNames.Sandstorm>",Map="vCTF-Sandstorm",URL="?NumPlay=10?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Nocturne","Judas","Grail","Samael","Harbinger","Pagan"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Sandstorm>",GlobeBoneName="B_CTFSandstorm",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc35>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SandstormCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc35>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Sandstorm_35_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc35_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=36,Title="<Strings:UTGameUI.FriendlyMapNames.Sanctuary>",Map="DM-Sanctuary",URL="?NumPlay=8?GoalScore=25",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Akasha","Damian","Kragoth","Malakai"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Sanctuary>",GlobeBoneName="B_DMBabel",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc36>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SanctuaryCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc36>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Sanctuary_36_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc36_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=37,Title="<Strings:UTGameUI.FriendlyMapNames.Searchlight>",Map="CTF-Searchlight",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Judas","Grail","Samael"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Searchlight>",GlobeBoneName="B_CTFSteamlight",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc37>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SearchlightCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc37>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=None,bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc37_1>",AudioCue=None,FocusTime=8.000000),(Image=None,bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc37_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=38,Title="<Strings:UTGameUI.FriendlyMapNames.Necropolis>",Map="vCTF-Necropolis",URL="?NumPlay=9?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Akasha","Malakai","Judas","Pagan","Thannis"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Necropolis>",GlobeBoneName="B_CTFNecropolis",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc38>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_NecropolisCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc38>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Necropolis_38_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc38_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Necropolis_38_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc38_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=39,Title="<Strings:UTGameUI.FriendlyMapNames.Vertebrae>",Map="CTF-Vertebrae",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Akasha","Thannis","Samael","Grail"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Vertebrae>",GlobeBoneName="B_CTFVertebrae",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc39>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_VertebraeCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc39>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Vertebrae_39_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc39_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Vertebrae_39_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc39_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Vertebrae_39_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc39_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=40,Title="<Strings:UTGameUI.FriendlyMapNames.Floodgate>",Map="WAR-Floodgate",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Akasha","Loque","Damian","Kragoth"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Floodgate>",GlobeBoneName="B_ONSSublevels",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc40>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_FloodgateCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc40>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Floodgate_40_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc40_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Floodgate_40_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc40_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=41,Title="<Strings:UTGameUI.FriendlyMapNames.Sentinel>",Map="DM-Sentinel",URL="?NumPlay=2?GoalScore=20",OpponentFaction="Necris",RequiredTeammates=(),RequiredOpponents=("Akasha"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location="<Strings:UTGameUI.MapLocationDescription.Sentinel>",GlobeBoneName="B_DMSentinel",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc41>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SentinelCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc41>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Sentinel_41_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc41_0>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=42,Title="<Strings:UTGameUI.FriendlyMapNames.Fearless>",Map="DM-Fearless",URL="?Game=utgame.utteamgame?NumPlay=4?GoalScore=40",OpponentFaction="Necris",RequiredTeammates=("Othello"),RequiredOpponents=("Akasha","Thannis"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Fearless>",GlobeBoneName="B_DMRevenant",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc42>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_FearlessCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc42>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Fearless_42_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc42_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=43,Title="<Strings:UTGameUI.FriendlyMapNames.Searchlight>",Map="CTF-Searchlight",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Reaper"),RequiredOpponents=("Akasha","Thannis","Grail","Judas"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Searchlight>",GlobeBoneName="B_CTFSteamlight",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc43>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SearchlightCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc37>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=None,bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc37_1>",AudioCue=None,FocusTime=8.000000),(Image=None,bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc37_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=44,Title="<Strings:UTGameUI.FriendlyMapNames.Sanctuary>",Map="DM-Sanctuary",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Akasha","Malakai","Harbinger","Pagan"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Sanctuary>",GlobeBoneName="B_DMBabel",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc36>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SanctuaryCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc36>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Sanctuary_36_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc36_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=45,Title="<Strings:UTGameUI.FriendlyMapNames.Biohazard>",Map="DM-Biohazard",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Necris",RequiredTeammates=("Othello"),RequiredOpponents=("Kragoth","Thannis","Scorn","Cerberus"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Biohazard>",GlobeBoneName="B_DMHardcore",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc45>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_BiohazardCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc45>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_BioHazard_45_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc45_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=46,Title="<Strings:UTGameUI.FriendlyMapNames.Defiance>",Map="DM-Defiance",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Necris",RequiredTeammates=("Jester","Bishop","Othello"),RequiredOpponents=("Scythe","Malakai","Gnasher","Scorn"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Defiance>",GlobeBoneName="B_DMDefiance",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc13>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_MiscWarBrief01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc46>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=47,Title="<Strings:UTGameUI.FriendlyMapNames.TorlanDelta>",Map="WAR-Torlan_Necris",URL="?NumPlay=10?GoalScore=1",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Nocturne","Claw","Bargest","Blackfang","Lockjaw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.TorlanDelta>",GlobeBoneName="B_ONSTorlan",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc9>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Torlan01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc9>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_9_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc9_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_47_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc47_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_47_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc47_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=48,Title="<Strings:UTGameUI.FriendlyMapNames.Corruption>",Map="vCTF-Corruption",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Kragoth","Hellhound","Worg"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Corruption>",GlobeBoneName="B_CTFCorruption",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc28>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CorruptionCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc48>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Corruption_28_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc28_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Corruption_28_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc28_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=49,Title="<Strings:UTGameUI.FriendlyMapNames.Suspense>",Map="vCTF-Suspense",URL="?NumPlay=9?GoalScore=3",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Harbinger","Lockjaw","Claw","Bargest","Blackfang"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Suspense>",GlobeBoneName="B_CTFSuspense",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc10>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SuspenseCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc49>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=50,Title="<Strings:UTGameUI.FriendlyMapNames.Defiance>",Map="DM-Defiance",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Necris",RequiredTeammates=("Jester","Bishop","Othello"),RequiredOpponents=("Grail","Damian","Lockjaw","Worg"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Defiance>",GlobeBoneName="B_DMDefiance",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc13>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_MiscWarBrief01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc50>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=51,Title="<Strings:UTGameUI.FriendlyMapNames.ShangriLa>",Map="DM-ShangriLa",URL="?NumPlay=8?GoalScore=50",OpponentFaction="Necris",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Pagan","Claw","Scar","Bargest"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.ShangriLa>",GlobeBoneName="B_DMShangrila",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc2>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_MiscWarBrief01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc51>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Shangrila_2_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=52,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Evolution","Monarch","Mihr","Torque"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Containment00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc52>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc52_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=53,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment_SP",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Lockjaw","Cerberus","Gnasher"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Containment01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc52>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc53_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=54,Title="<Strings:UTGameUI.FriendlyMapNames.Strident>",Map="CTF-Strident",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Cathode","Enigma","Entropy"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Strident>",GlobeBoneName="B_CTFStrident",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc23>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Strident00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc54>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=55,Title="<Strings:UTGameUI.FriendlyMapNames.Islander>",Map="WAR-Islander",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scorn","Hellhound","Cerberus","Gnasher"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Islander>",GlobeBoneName="B_ONSIslander",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc22>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Islander01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc55>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Islander_22_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_55_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc55_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=56,Title="<Strings:UTGameUI.FriendlyMapNames.Gateway>",Map="DM-Gateway",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Liandri",RequiredTeammates=("Othello"),RequiredOpponents=("Matrix","Entropy","Cathode","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Infiltration,Location="<Strings:UTGameUI.MapLocationDescription.Gateway>",GlobeBoneName="B_DMGateway",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc24>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_GatewayCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc56>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Gateway_24_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc24_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=57,Title="<Strings:UTGameUI.FriendlyMapNames.Carbonfire>",Map="DM-Carbonfire",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","Collossus","OSC","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Carbonfire>",GlobeBoneName="B_DMCarbonfire",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc57>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CarbonfireCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc57>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_CarbonFire_57_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc57_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=58,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Evolution","Mihr","Syntax"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Containment00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc58>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc52_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=59,Title="<Strings:UTGameUI.FriendlyMapNames.Islander>",Map="WAR-Islander",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Torque","Monarch","Aspect","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Islander>",GlobeBoneName="B_ONSIslander",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc22>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Islander00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc59>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Islander_22_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=60,Title="<Strings:UTGameUI.FriendlyMapNames.Strident>",Map="CTF-Strident",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Cathode","Enigma","Entropy"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Strident>",GlobeBoneName="B_CTFStrident",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc23>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Strident01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc60>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=61,Title="<Strings:UTGameUI.FriendlyMapNames.HeatRay>",Map="DM-HeatRay",URL="?Game=utgame.utteamgame?NumPlay=10?GoalScore=50",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Scythe","Scorn","Gnasher","Cerberus","Claw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.HeatRay>",GlobeBoneName="B_DMHeatray",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc17>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Heatray01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc61>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=62,Title="<Strings:UTGameUI.FriendlyMapNames.Gateway>",Map="DM-Gateway",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Liandri",RequiredTeammates=("Othello"),RequiredOpponents=("Matrix","Entropy","Cathode","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Gateway>",GlobeBoneName="B_DMGateway",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc24>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_GatewayCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc62>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Gateway_24_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc24_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=63,Title="<Strings:UTGameUI.FriendlyMapNames.Islander>",Map="WAR-Islander",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Monarch","Torque","Syntax","Mihr"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Islander>",GlobeBoneName="B_ONSIslander",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc22>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Islander00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc63>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Islander_22_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=64,Title="<Strings:UTGameUI.FriendlyMapNames.Dusk>",Map="WAR-Dusk",URL="?NumPlay=10?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Evolution","Mihr","Syntax","Torque","Monarch","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Dusk>",GlobeBoneName="B_ONSDusk",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc18>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DuskCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc64>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Dusk_18_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc18_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Dusk_18_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc18_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Dusk_18_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc18_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=65,Title="<Strings:UTGameUI.FriendlyMapNames.PowerSurge>",Map="WAR-PowerSurge",URL="?NumPlay=12?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Blackfang","Bargest","Claw","Lockjaw","Worg","Scar","Hellhound"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.PowerSurge>",GlobeBoneName="B_ONSPowerSurge",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc19>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_PowerSurge01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc65>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc65_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Gen_11_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Gen_11_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Powersurge_19_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc19_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Powersurge_19_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc19_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=66,Title="<Strings:UTGameUI.FriendlyMapNames.Coret>",Map="CTF-Coret",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Cathode","Enigma","Entropy","Collossus"),PrecachedTeammates=("Jester"),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Coret>",GlobeBoneName="B_CTFCoret",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc20>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CoretCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc66>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Coret_20_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc20_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=67,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","OSC","Raptor","Evolution"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Containment00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc67>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc52_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=68,Title="<Strings:UTGameUI.FriendlyMapNames.HeatRay>",Map="DM-HeatRay",URL="?Game=utgame.utteamgame?NumPlay=10?GoalScore=50",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Scythe","Blackfang","Barget","Claw","Lockjaw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.HeatRay>",GlobeBoneName="B_DMHeatray",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc17>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Heatray01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc68>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=69,Title="<Strings:UTGameUI.FriendlyMapNames.Strident>",Map="CTF-Strident",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Scorn","Gnasher","Cerberus"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Strident>",GlobeBoneName="B_CTFStrident",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc23>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Strident01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc69>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=70,Title="<Strings:UTGameUI.FriendlyMapNames.Carbonfire>",Map="DM-Carbonfire",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Cathode","OSC","Mihr"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Carbonfire>",GlobeBoneName="B_DMCarbonfire",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc57>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CarbonfireCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc70>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_CarbonFire_57_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc57_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=71,Title="<Strings:UTGameUI.FriendlyMapNames.Gateway>",Map="DM-Gateway",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Liandri",RequiredTeammates=("Othello"),RequiredOpponents=("Matrix","Entropy","Cathode","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Gateway>",GlobeBoneName="B_DMGateway",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc24>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_GatewayCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc71>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Gateway_24_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc24_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=72,Title="<Strings:UTGameUI.FriendlyMapNames.Coret>",Map="CTF-Coret",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Evolution","Mihr","Syntax","Torque"),PrecachedTeammates=("Jester"),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Coret>",GlobeBoneName="B_CTFCoret",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc20>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CoretCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc72>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Coret_20_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc20_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=73,Title="<Strings:UTGameUI.FriendlyMapNames.HeatRay>",Map="DM-HeatRay",URL="?Game=utgame.utteamgame?NumPlay=10?GoalScore=50",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Scythe","Scorn","Gnasher","Cerberus","Hellhound"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.HeatRay>",GlobeBoneName="B_DMHeatray",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc17>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Heatray01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc73>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=74,Title="<Strings:UTGameUI.FriendlyMapNames.Carbonfire>",Map="DM-Carbonfire",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","Collossus","OSC","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Carbonfire>",GlobeBoneName="B_DMCarbonfire",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc57>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CarbonfireCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc74>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_CarbonFire_57_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc57_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=75,Title="<Strings:UTGameUI.FriendlyMapNames.Strident>",Map="CTF-Strident",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Cathode","Enigma","Entropy"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Strident>",GlobeBoneName="B_CTFStrident",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc23>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Strident00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc75>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=76,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Cathode","Enigma","Monarch","Syntax"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Containment00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc76>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc52_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=77,Title="<Strings:UTGameUI.FriendlyMapNames.Gateway>",Map="DM-Gateway",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Liandri",RequiredTeammates=("Othello"),RequiredOpponents=("Matrix","Entropy","Cathode","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Gateway>",GlobeBoneName="B_DMGateway",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc24>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_GatewayCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc77>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Gateway_24_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc24_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=78,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Enigma","Entropy","Evolution","Aspect"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Containment00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc78>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc52_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=79,Title="<Strings:UTGameUI.FriendlyMapNames.HeatRay>",Map="DM-HeatRay",URL="?Game=utgame.utteamgame?NumPlay=10?GoalScore=50",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Scythe","Hellhound","Scorn","Worg","Gnasher"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.HeatRay>",GlobeBoneName="B_DMHeatray",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc17>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Heatray01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc79>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=80,Title="<Strings:UTGameUI.FriendlyMapNames.Carbonfire>",Map="DM-Carbonfire",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","Evolution","OSC","Syntax"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Carbonfire>",GlobeBoneName="B_DMCarbonfire",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc57>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CarbonfireCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc80>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_CarbonFire_57_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc57_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=81,Title="<Strings:UTGameUI.FriendlyMapNames.Strident>",Map="CTF-Strident",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Cathode","Enigma","Entropy"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Strident>",GlobeBoneName="B_CTFStrident",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc23>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Strident00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc81>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=82,Title="<Strings:UTGameUI.FriendlyMapNames.Gateway>",Map="DM-Gateway",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Liandri",RequiredTeammates=("Othello"),RequiredOpponents=("Matrix","Entropy","Cathode","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Gateway>",GlobeBoneName="B_DMGateway",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc24>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_GatewayCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc82>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Gateway_24_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc24_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=83,Title="<Strings:UTGameUI.FriendlyMapNames.Dusk>",Map="WAR-Dusk",URL="?NumPlay=10?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Evolution","Mihr","Syntax","Torque","Monarch","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Dusk>",GlobeBoneName="B_ONSDusk",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc18>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DuskCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc83>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Dusk_18_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc18_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Dusk_18_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc18_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Dusk_18_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc18_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=84,Title="<Strings:UTGameUI.FriendlyMapNames.PowerSurge>",Map="WAR-PowerSurge",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Evolution","Mihr","Syntax","Monarch"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.PowerSurge>",GlobeBoneName="B_ONSPowerSurge",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc19>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_PowerSurge00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc84>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Gen_11_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Gen_11_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Powersurge_19_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc19_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Powersurge_19_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc19_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=85,Title="<Strings:UTGameUI.FriendlyMapNames.HeatRay>",Map="DM-HeatRay",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","Collossus","OSC","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.HeatRay>",GlobeBoneName="B_DMHeatray",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc17>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Heatray00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc85>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=86,Title="<Strings:UTGameUI.FriendlyMapNames.Coret>",Map="CTF-Coret",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Entropy","Cathode","Evolution","Mihr"),PrecachedTeammates=("Jester"),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Coret>",GlobeBoneName="B_CTFCoret",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc20>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CoretCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc86>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Coret_20_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc20_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=87,Title="<Strings:UTGameUI.FriendlyMapNames.Carbonfire>",Map="DM-Carbonfire",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Evolution","Monarch","Mihr","Syntax"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Carbonfire>",GlobeBoneName="B_DMCarbonfire",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc57>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CarbonfireCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc87>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_CarbonFire_57_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc57_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=88,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Monarch","Mihr","OSC"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CarbonfireCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc88>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc52_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=89,Title="<Strings:UTGameUI.FriendlyMapNames.Islander>",Map="WAR-Islander",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","Collossus","Torque","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Islander>",GlobeBoneName="B_ONSIslander",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc22>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Islander00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc89>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Islander_22_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=90,Title="<Strings:UTGameUI.FriendlyMapNames.Strident>",Map="CTF-Strident",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Scorn","Gnasher","Cerberus"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Strident>",GlobeBoneName="B_CTFStrident",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc23>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Strident01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc90>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=91,Title="<Strings:UTGameUI.FriendlyMapNames.HeatRay>",Map="DM-HeatRay",URL="?Game=utgame.utteamgame?NumPlay=10?GoalScore=50",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Scythe","Gnasher","Hellhound","Worg","Claw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.HeatRay>",GlobeBoneName="B_DMHeatray",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc17>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Heatray01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc91>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=92,Title="<Strings:UTGameUI.FriendlyMapNames.Gateway>",Map="DM-Gateway",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Liandri",RequiredTeammates=("Othello"),RequiredOpponents=("Matrix","Entropy","Cathode","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Gateway>",GlobeBoneName="B_DMGateway",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc24>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_GatewayCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc92>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Gateway_24_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc24_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=93,Title="<Strings:UTGameUI.FriendlyMapNames.Islander>",Map="WAR-Islander",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Entropy","Collossus","Raptor","Mihr"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Islander>",GlobeBoneName="B_ONSIslander",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc22>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Islander00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc93>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Islander_22_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=94,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment_SP",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Scar","Lockjaw","Bargest"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CarbonfireCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc94>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc53_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=95,Title="<Strings:UTGameUI.FriendlyMapNames.Islander>",Map="WAR-Islander",URL="?NumPlay=8?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Entropy","Raptor","Torque","Monarch"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Islander>",GlobeBoneName="B_ONSIslander",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc22>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Islander00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc95>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Islander_22_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Islander_22_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc22_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=96,Title="<Strings:UTGameUI.FriendlyMapNames.HeatRay>",Map="DM-HeatRay",URL="?Game=utgame.utteamgame?NumPlay=10?GoalScore=50",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Loque","Scythe","Blackfang","Bargest","Claw","Lockjaw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.HeatRay>",GlobeBoneName="B_DMHeatray",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc17>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Heatray01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc96>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_HeatRay_21_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc21_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=97,Title="<Strings:UTGameUI.FriendlyMapNames.Coret>",Map="CTF-Coret",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","Collossus","OSC","Raptor"),PrecachedTeammates=("Jester"),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Coret>",GlobeBoneName="B_CTFCoret",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc20>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CoretCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc97>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Coret_20_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc20_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=98,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment",URL="?NumPlay=8?GoalScore=3",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Enigma","OSC","Syntax"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Containment00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc98>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc52_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=99,Title="<Strings:UTGameUI.FriendlyMapNames.Strident>",Map="CTF-Strident",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Cathode","Enigma","Entropy"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Strident>",GlobeBoneName="B_CTFStrident",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc23>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Strident00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc99>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=100,Title="<Strings:UTGameUI.FriendlyMapNames.Carbonfire>",Map="DM-Carbonfire",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Aspect","Collossus","OSC","Raptor"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Carbonfire>",GlobeBoneName="B_DMCarbonfire",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc57>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CarbonfireCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc100>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_CarbonFire_57_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc57_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=101,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment_SP",URL="?NumPlay=10?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scorn","Gnasher","Cerberus","Hellhound","Worg","Lockjaw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Containment01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc101>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc53_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=102,Title="<Strings:UTGameUI.FriendlyMapNames.Gateway>",Map="DM-Gateway",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Liandri",RequiredTeammates=("Othello"),RequiredOpponents=("Matrix","Entropy","Cathode","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Gateway>",GlobeBoneName="B_DMGateway",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc24>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_GatewayCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc102>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Gateway_24_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc24_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=103,Title="<Strings:UTGameUI.FriendlyMapNames.Carbonfire>",Map="DM-Carbonfire",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Mihr","Syntax","Torque","Monarch"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Carbonfire>",GlobeBoneName="B_DMCarbonfire",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc57>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_CarbonfireCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc103>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_CarbonFire_57_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc57_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=104,Title="<Strings:UTGameUI.FriendlyMapNames.Strident>",Map="CTF-Strident",URL="?NumPlay=8?GoalScore=5",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Scorn","Gnasher","Cerberus"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Strident>",GlobeBoneName="B_CTFStrident",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc23>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Strident01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc104>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Strident_23_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc23_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=105,Title="<Strings:UTGameUI.FriendlyMapNames.Containment>",Map="vCTF-Containment_SP",URL="?NumPlay=10?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scar","Worg","Lockjaw","Bargest","Blackfang","Claw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Containment>",GlobeBoneName="B_CTFDeny",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc52>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Containment01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc105>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Containment_52_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc53_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=106,Title="<Strings:UTGameUI.FriendlyMapNames.Gateway>",Map="DM-Gateway",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="Liandri",RequiredTeammates=("Othello"),RequiredOpponents=("Matrix","Entropy","Cathode","Enigma"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Gateway>",GlobeBoneName="B_DMGateway",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc24>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_GatewayCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc106>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Gateway_24_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc24_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=107,Title="<Strings:UTGameUI.FriendlyMapNames.Diesel>",Map="DM-Diesel",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="IronGuard",RequiredTeammates=("Othello"),RequiredOpponents=("Lauren","Barktooth","Harlin","Slain"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Diesel>",GlobeBoneName="B_DMDiesel",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc107>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DieselCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc107>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Diesel_107_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc107_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Diesel_107_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc107_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=108,Title="<Strings:UTGameUI.FriendlyMapNames.Serenity>",Map="WAR-Serenity_Necris",URL="?NumPlay=12?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Hellhound","Cerberus","Gnasher","Scar","Worg","Lockjaw","Claw","Bargest"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Serenity>",GlobeBoneName="B_ONSSerenity",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc11>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Serenity01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc108>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=109,Title="<Strings:UTGameUI.FriendlyMapNames.Kargo>",Map="vCTF-Kargo",URL="?NumPlay=9?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("claw","Bargest","Blackfang","Scorn","Cerberus"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Kargo>",GlobeBoneName="B_CTFKargo",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc7>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Kargo01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc109>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=110,Title="<Strings:UTGameUI.FriendlyMapNames.TorlanDelta>",Map="WAR-Torlan",URL="?NumPlay=10?GoalScore=1",OpponentFaction="Liandri",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Matrix","Cathode","Enigma","Entropy","Aspect","Collossus"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.TorlanDelta>",GlobeBoneName="B_ONSTorlan",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc9>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Torlan03Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc110>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_9_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc9_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=111,Title="<Strings:UTGameUI.FriendlyMapNames.Suspense>",Map="vCTF-Suspense",URL="?NumPlay=8?GoalScore=3",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Bishop","Othello"),RequiredOpponents=("Cain","Johnson","Karag","Wraith"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Suspense>",GlobeBoneName="B_CTFSuspense",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc10>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SuspenseCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc111>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=112,Title="<Strings:UTGameUI.FriendlyMapNames.Downtown>",Map="WAR-Downtown",URL="?NumPlay=4?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=("Lauren","Barktooth","Talan","Kregore"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Downtown>",GlobeBoneName="B_ONSDowntown",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc12>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DowntownCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc112>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=113,Title="<Strings:UTGameUI.FriendlyMapNames.Defiance>",Map="DM-Defiance",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Lauren","Barktooth","Harlin","Slain"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Defiance>",GlobeBoneName="B_DMDefiance",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc13>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DefianceCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc113>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=114,Title="<Strings:UTGameUI.FriendlyMapNames.Serenity>",Map="WAR-Serenity",URL="?NumPlay=4?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=("Lauren","Slain","Johnson","Karag"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Serenity>",GlobeBoneName="B_ONSSerenity",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc11>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Serenity00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc114>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=115,Title="<Strings:UTGameUI.FriendlyMapNames.Diesel>",Map="DM-Diesel",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Worg","Cerberus","HellHound","Gnasher"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Diesel>",GlobeBoneName="B_DMDiesel",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc107>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBanter.A_Banter_Reaper_WeNeedToHoldOurGroundCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc115>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Diesel_107_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc107_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=116,Title="<Strings:UTGameUI.FriendlyMapNames.Kargo>",Map="vCTF-Kargo",URL="?NumPlay=10?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Hellhound","Scar","Worg","Lockjaw","Claw","Bargest"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Kargo>",GlobeBoneName="B_CTFKargo",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc7>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Kargo01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc116>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=117,Title="<Strings:UTGameUI.FriendlyMapNames.TorlanDelta>",Map="WAR-Torlan_Leviathan",URL="?NumPlay=11?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Scorn","Gnasher","Cerberus","Blackfang","Lockjaw","Hellhound"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.TorlanDelta>",GlobeBoneName="B_ONSTorlan",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc9>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Torlan02Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc117>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_9_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc9_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_15_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc15_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_15_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc15_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=118,Title="<Strings:UTGameUI.FriendlyMapNames.Diesel>",Map="DM-Diesel",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="IronGuard",RequiredTeammates=("Othello"),RequiredOpponents=("Lauren","Barktooth","Harlin","Slain"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Diesel>",GlobeBoneName="B_DMDiesel",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc107>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DieselCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc118>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Diesel_107_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc107_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Diesel_107_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc107_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=119,Title="<Strings:UTGameUI.FriendlyMapNames.Serenity>",Map="WAR-Serenity_Necris",URL="?NumPlay=10?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Hellhound","Gnasher","Worg","Claw","Blackfang"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Serenity>",GlobeBoneName="B_ONSSerenity",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc11>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Serenity01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc119>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=120,Title="<Strings:UTGameUI.FriendlyMapNames.Kargo>",Map="vCTF-Kargo",URL="?NumPlay=9?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Cerberus","Gnasher","Scar","Worg","Bargest"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Kargo>",GlobeBoneName="B_CTFKargo",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc7>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Kargo01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc120>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=121,Title="<Strings:UTGameUI.FriendlyMapNames.TorlanDelta>",Map="WAR-Torlan",URL="?NumPlay=10?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scythe","Scorn","Gnasher","Cerberus","Hellhound","Scar"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.TorlanDelta>",GlobeBoneName="B_ONSTorlan",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc9>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Torlan01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc121>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_9_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc9_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_15_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc15_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_15_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc15_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=122,Title="<Strings:UTGameUI.FriendlyMapNames.TorlanDelta>",Map="WAR-Torlan",URL="?NumPlay=8?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Lauren","Harlin","Drake","Wraith"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.TorlanDelta>",GlobeBoneName="B_ONSTorlan",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc9>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Torlan00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc122>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_9_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc9_1>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=123,Title="<Strings:UTGameUI.FriendlyMapNames.Hydrosis>",Map="CTF-Hydrosis",URL="?NumPlay=8?GoalScore=3",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop","Rook"),RequiredOpponents=("Slain","Kregore","Blain","Drake","Johnson"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Hydrosis>",GlobeBoneName="B_CTFHydrosis",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc8>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_HydrosisCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc123>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Hydrosis_8_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc8_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.CTF.T_Hydrosis_8_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc8_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=124,Title="<Strings:UTGameUI.FriendlyMapNames.Suspense>",Map="vCTF-Suspense",URL="?NumPlay=8?GoalScore=3",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Cain","Johnson","Karag","Wraith"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Suspense>",GlobeBoneName="B_CTFSuspense",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc10>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SuspenseCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc124>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=125,Title="<Strings:UTGameUI.FriendlyMapNames.Downtown>",Map="WAR-Downtown",URL="?NumPlay=4?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=("Lauren","Barktooth","Cain","Johnson"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Downtown>",GlobeBoneName="B_ONSDowntown",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc12>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DowntownCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc125>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=126,Title="<Strings:UTGameUI.FriendlyMapNames.Defiance>",Map="DM-Defiance",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Lauren","Barktooth","Harlin","Slain"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Defiance>",GlobeBoneName="B_DMDefiance",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc13>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DefianceCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc126>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=127,Title="<Strings:UTGameUI.FriendlyMapNames.Serenity>",Map="WAR-Serenity",URL="?NumPlay=4?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=("Lauren","Slain","Johnson","Karag"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Serenity>",GlobeBoneName="B_ONSSerenity",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc11>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Serenity00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc127>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=128,Title="<Strings:UTGameUI.FriendlyMapNames.Kargo>",Map="vCTF-Kargo",URL="?NumPlay=10?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Scorn","Gnasher","Cerberus","Hellhound","Scar","Blackfang"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Kargo>",GlobeBoneName="B_CTFKargo",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc7>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Kargo01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc128>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=129,Title="<Strings:UTGameUI.FriendlyMapNames.TorlanDelta>",Map="WAR-Torlan_Leviathan",URL="?NumPlay=11?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Blackfang","Bargest","Claw","Lockjaw","Worg","Scar","Hellhound"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.TorlanDelta>",GlobeBoneName="B_ONSTorlan",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc9>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Torlan02Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc129>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_9_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc9_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_15_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc15_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Torlan_15_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc15_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=130,Title="<Strings:UTGameUI.FriendlyMapNames.Serenity>",Map="WAR-Serenity",URL="?NumPlay=4?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=("Lauren","Slain","Johnson","Karag"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Serenity>",GlobeBoneName="B_ONSSerenity",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc11>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Serenity00Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc130>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Gen_11_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Gen_11_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_3>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_4',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_4>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=131,Title="<Strings:UTGameUI.FriendlyMapNames.Suspense>",Map="vCTF-Suspense",URL="?NumPlay=8?GoalScore=3",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Barktooth","Johnson","Kregore","Talan"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Suspense>",GlobeBoneName="B_CTFSuspense",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc10>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_SuspenseCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc131>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Suspense_10_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc10_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=132,Title="<Strings:UTGameUI.FriendlyMapNames.Downtown>",Map="WAR-Downtown",URL="?NumPlay=4?GoalScore=1",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=("Lauren","Barktooth","Drake","Cain"),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Downtown>",GlobeBoneName="B_ONSDowntown",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc12>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DowntownCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc132>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_2>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Downtwon_12_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc12_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=133,Title="<Strings:UTGameUI.FriendlyMapNames.Defiance>",Map="DM-Defiance",URL="?Game=utgame.utteamgame?NumPlay=8?GoalScore=50",OpponentFaction="IronGuard",RequiredTeammates=("Jester","Othello","Bishop"),RequiredOpponents=("Lauren","Harlin","Barktooth","Slain"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Defiance>",GlobeBoneName="B_DMDefiance",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc13>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DefianceCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc133>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Defiance_13_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc13_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=134,Title="<Strings:UTGameUI.FriendlyMapNames.Kargo>",Map="vCTF-Kargo",URL="?NumPlay=10?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","bishop"),RequiredOpponents=("Scorn","Gnasher","Scar","Worg","Lockjaw","Claw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Kargo>",GlobeBoneName="B_CTFKargo",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc7>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Kargo01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc134>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=135,Title="<Strings:UTGameUI.FriendlyMapNames.Serenity>",Map="WAR-Serenity_Necris",URL="?NumPlay=12?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop","Ushido","Kensai"),RequiredOpponents=("Scythe","Cerberus","Blackfang","Bargest","Worg","HellHound"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Serenity>",GlobeBoneName="B_ONSSerenity",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc11>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Serenity01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc135>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=136,Title="<Strings:UTGameUI.FriendlyMapNames.Diesel>",Map="DM-Diesel",URL="?Game=utgame.utteamgame?NumPlay=6?GoalScore=40",OpponentFaction="IronGuard",RequiredTeammates=("Othello"),RequiredOpponents=("Lauren","Barktooth","Harlin","Slain"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Diesel>",GlobeBoneName="B_DMDiesel",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc107>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DieselCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc136>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Diesel_107_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc107_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Diesel_107_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc107_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=137,Title="<Strings:UTGameUI.FriendlyMapNames.Kargo>",Map="vCTF-Kargo",URL="?NumPlay=10?GoalScore=3",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop","Kensai"),RequiredOpponents=("Scar","Hellhound","Claw","Bargest","Blackfang"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Extraction,Location="<Strings:UTGameUI.MapLocationDescription.Kargo>",GlobeBoneName="B_CTFKargo",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc7>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Kargo01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc137>",Objectives=((Image=Texture2D'UI_Objectives.CTF.T_Gen_3_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc3_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.VCTF.T_Kargo_7_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc7_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=138,Title="<Strings:UTGameUI.FriendlyMapNames.Serenity>",Map="WAR-Serenity_Necris",URL="?NumPlay=12?GoalScore=1",OpponentFaction="Krall",RequiredTeammates=("Jester","Othello","Bishop","Harkin","Connor"),RequiredOpponents=("Scythe","Scorn","Gnasher","Cerberus","Scar","Lockjaw"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Battle,Location="<Strings:UTGameUI.MapLocationDescription.Serenity>",GlobeBoneName="B_ONSSerenity",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc11>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_Serenity01Cue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc138>",Objectives=((Image=Texture2D'UI_Objectives.WAR.T_Gen_11_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.WAR.T_Serenity_11_3',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc11_3>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=139,Title="<Strings:UTGameUI.FriendlyMapNames.TheDecks>",Map="DM-Deck",URL="?NumPlay=6?GoalScore=40",OpponentFaction="Krall",RequiredTeammates=("Othello"),RequiredOpponents=("Scythe","Cerberus","Scorn","Gnasher"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Infiltration,Location="<Strings:UTGameUI.MapLocationDescription.TheDecks>",GlobeBoneName="B_DMDeck",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc139>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DeckCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc139>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Deck_139_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc139_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Deck_139_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc139_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=140,Title="<Strings:UTGameUI.FriendlyMapNames.TheDecks>",Map="DM-Deck",URL="?NumPlay=6?GoalScore=40",OpponentFaction="Krall",RequiredTeammates=("Othello"),RequiredOpponents=("Scythe","Cerberus","Scorn","Gnasher"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Infiltration,Location="<Strings:UTGameUI.MapLocationDescription.TheDecks>",GlobeBoneName="B_DMDeck",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc139>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_DeckCue',ObjectiveText="<Strings:UTGameUI.CampaignBriefing.BriefDesc139>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Deck_139_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc139_1>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Deck_139_2',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc139_2>",AudioCue=None,FocusTime=8.000000))))
		Missions.Add((MissionID=141,Title="<Strings:UTGameUI.FriendlyMapNames.CombatBriefing>",Map="UTCin-Combat_Briefing",URL=,OpponentFaction=,RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location=,GlobeBoneName="B_DMRisingsun",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText=,BriefingAudioCue=None,ObjectiveText=,Objectives=)
		Missions.Add((MissionID=142,Title="<Strings:UTGameUI.FriendlyMapNames.AxonTreaty>",Map="UTCin-Axon_Treaty",URL=,OpponentFaction=,RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location="<Strings:UTGameUI.MapLocationDescription.Taryd>",GlobeBoneName="B_DMArsenal",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText=,BriefingAudioCue=None,ObjectiveText=,Objectives=)
		Missions.Add((MissionID=143,Title="<Strings:UTGameUI.FriendlyMapNames.Infection>",Map="UTCin-Necris_Attack",URL=,OpponentFaction=,RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location="Taryd",GlobeBoneName="B_ONSTorlan",GlobeTag="<Strings:UTGameUI.FriendlyMapNames.CombatBriefing>",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText=,BriefingAudioCue=None,ObjectiveText=,Objectives=)
		Missions.Add((MissionID=144,Title="<Strings:UTGameUI.FriendlyMapNames.Intercession>",Map="UTCin-NEG_Intercedes",URL=,OpponentFaction=,RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location=,GlobeBoneName="B_None",GlobeTag=,cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText=,BriefingAudioCue=None,ObjectiveText=,Objectives=)
		Missions.Add((MissionID=145,Title="<Strings:UTGameUI.FriendlyMapNames.Betrayal>",Map="UTCin-Malcolm_Betrayal",URL=,OpponentFaction=,RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location=,GlobeBoneName="B_None",GlobeTag=,cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText=,BriefingAudioCue=None,ObjectiveText=,Objectives=)
		Missions.Add((MissionID=146,Title="<Strings:UTGameUI.FriendlyMapNames.Conclusion>",Map="UTCin-Conclusion",URL=,OpponentFaction=,RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location=,GlobeBoneName="B_None",GlobeTag=,cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText=,BriefingAudioCue=None,ObjectiveText=,Objectives=)
		Missions.Add((MissionID=147,Title="<Strings:UTGameUI.FriendlyMapNames.IntroCinematic>",Map="UTCIN-Intro",URL=,OpponentFaction=,RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location=,GlobeBoneName="B_None",GlobeTag=,cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText=,BriefingAudioCue=None,ObjectiveText=,Objectives=)
		Missions.Add((MissionID=148,Title="<Strings:UTGameUI.FriendlyMapNames.Fearless>",Map="DM-Fearless",URL="?Game=utgame.utteamgame?NumPlay=4?GoalScore=40",OpponentFaction="Necris",RequiredTeammates=("Othello"),RequiredOpponents=("Akasha","Thannis"),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_DefendAndHold,Location="<Strings:UTGameUI.MapLocationDescription.Fearless>",GlobeBoneName="B_DMRevenant",GlobeTag="Omicron",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc42>",BriefingAudioCue=SoundCue'A_Character_Reaper_Cue.MissionBriefings.A_MissionBriefing_Reaper_FearlessCue',ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc42>",Objectives=((Image=Texture2D'UI_Objectives.DM.T_Gen_2_0',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc2_0>",AudioCue=None,FocusTime=8.000000),(Image=Texture2D'UI_Objectives.DM.T_Fearless_42_1',bCustomCoords=False,ImageCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),Text="<Strings:UTGameUI.CampaignObjectives.ObjDesc42_1>",AudioCue=None,FocusTime=8.000000))))

		Missions.Add((MissionID=149,Title="<Strings:UTGameUI.FriendlyMapNames.Credits>",Map="UTCin-UT3Credits",URL="",OpponentFaction="",RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location="",GlobeBoneName="B_None",GlobeTag="",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="",BriefingAudioCue=None,ObjectiveText="",Objectives=())

		Missions.Add((MissionID=150,Title="<Strings:UTGameUI.FriendlyMapNames.Tutorial>",Map="UTCin-Tutorial",URL="",OpponentFaction="",RequiredTeammates=(),RequiredOpponents=(),PrecachedTeammates=(),PrecachedOpponents=(),Style=EMT_Duel,Location="",GlobeBoneName="B_DMRisingSun",GlobeTag="Taryd",cameraDist=200.000000,BriefingImage=None,bCustomBriefingCoords=False,BriefingCoords=(U=0.000000,V=0.000000,UL=0.000000,VL=0.000000),BriefingText="<Strings:UTGameUI.CampaignBriefing.BriefDesc0>",BriefingAudioCue=None,ObjectiveText="<Strings:UTGameUI.CampaignObjectiveDesc.ObjDesc0>",Objectives=())

}
